> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-versions-dependencies-list.md).

# workflows versions dependencies list

## Synopsis

```shell
omics workbench workflows versions dependencies list
  --workflow=WORKFLOW_ID
  --version=VERSION_ID
  [--max-results=NUMBER]
  [--page=NUMBER]
  [--page-size=NUMBER]
  [--namespace=NAMESPACE]
```

## Description

List all workflow dependencies for a specified workflow version. This command displays the dependencies that must be executed before the specified workflow can run, including dependency names, target workflow IDs, and creation timestamps.

## Examples

List all dependencies for a specific workflow version:

```shell
omics workbench workflows versions dependencies list \
  --workflow 40c67272-3553-4bb1-8662-81c81acff347 \
  --version latest
```

List dependencies with pagination:

```shell
omics workbench workflows versions dependencies list \
  --workflow 40c67272-3553-4bb1-8662-81c81acff347 \
  --version v2.0 \
  --page 1 \
  --page-size 10
```

List a limited number of dependencies:

```shell
omics workbench workflows versions dependencies list \
  --workflow 40c67272-3553-4bb1-8662-81c81acff347 \
  --version latest \
  --max-results 5
```

## Flags

### `--workflow`=`WORKFLOW_ID`

**Required**. Specify the UUID of the workflow for which you want to list dependencies.

### `--version`=`VERSION_ID`

**Required**. Specify the version ID of the workflow for which you want to list dependencies.

### `--max-results`=`NUMBER`

Limit the maximum number of dependencies displayed to the specified `NUMBER`.

### `--page`=`NUMBER`

Used to set the offset page number. This allows for jumping to an arbitrary page of results.

### `--page-size`=`NUMBER`

Used to set the number of results returned per page (default 100).

### `--namespace`=`NAMESPACE`

An optional flag to define the namespace to connect to. By default, the namespace is extracted from the user's credentials.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/workbench/workflows-versions-dependencies-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
